com.tibbo.aggregate.common.server

## Interface ProcessControlContextConstants

-     public interface ProcessControlContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_DEBUG`
    `static java.lang.String` | `A_EDIT_PROGRAM`
    `static java.lang.String` | `ACTION_CODE_EDITOR`
    `static java.lang.String` | `ANALYZE_BODY_PROBLEMS`
    `static java.lang.String` | `ANALYZE_ENV_PROBLEMS`
    `static java.lang.String` | `BODY_CODE_EDITOR`
    `static int` | `BODY_PROBLEMS`
    `static int` | `DEBUGGER_DEBUG_FINISH`
    `static int` | `DEBUGGER_GET_VARS`
    `static int` | `DEBUGGER_RESUME`
    `static int` | `DEBUGGER_STEP_OVER`
    `static int` | `DEBUGGER_TERMINATE`
    `static java.lang.String` | `E_CHANGE_PERIOD`
    `static java.lang.String` | `E_CHANGE_POSITION`
    `static java.lang.String` | `E_CHANGE_VARIABLES`
    `static java.lang.String` | `E_DEBUG_FINISH`
    `static java.lang.String` | `E_ERRORS_ANALYZE`
    `static java.lang.String` | `EF_CHANGE_PERIOD_TIME`
    `static java.lang.String` | `EF_CHANGE_POSITION_DEBUGGER_POSITION`
    `static java.lang.String` | `EF_CHANGE_POSITION_DEBUGGER_POSITION_LINE`
    `static java.lang.String` | `EF_CHANGE_VARIABLES_NAME`
    `static java.lang.String` | `EF_CHANGE_VARIABLES_SCOPE`
    `static java.lang.String` | `EF_CHANGE_VARIABLES_TYPE`
    `static java.lang.String` | `EF_CHANGE_VARIABLES_VALUE`
    `static int` | `ENV_PROBLEMS`
    `static java.lang.String` | `F_ANALYZE`
    `static java.lang.String` | `F_BREAKPOINT`
    `static java.lang.String` | `F_DEBUG_PROGRAM`
    `static java.lang.String` | `F_EXECUTE`
    `static java.lang.String` | `F_EXECUTE_FUNCTION`
    `static java.lang.String` | `F_FIND_HINT`
    `static java.lang.String` | `F_GET_ANALOG_VARIABLES`
    `static java.lang.String` | `F_GET_GPIO_VARIABLES`
    `static java.lang.String` | `F_GET_TOKENS`
    `static java.lang.String` | `F_META_POU`
    `static java.lang.String` | `F_PROPERTY`
    `static java.lang.String` | `F_VALUE`
    `static java.lang.String` | `FIF_ANALYZE_IMPORTS`
    `static java.lang.String` | `FIF_ANALYZE_TEMPLATE`
    `static java.lang.String` | `FIF_BREAKPOINT_POSITION`
    `static java.lang.String` | `FIF_BREAKPOINT_POSITION_LINE`
    `static java.lang.String` | `FIF_DEBUG_PROGRAM_PARAMETERS`
    `static java.lang.String` | `FIF_GET_HINT_PARAM_NAME`
    `static java.lang.String` | `FIF_GET_HINT_PARAM_TYPE`
    `static java.lang.String` | `FIF_META_POU_NAME`
    `static java.lang.String` | `FOF_ANALYZE_NAME`
    `static java.lang.String` | `FOF_ANALYZE_OBJECT`
    `static java.lang.String` | `FOF_ANALYZE_POSITION`
    `static java.lang.String` | `FOF_ANALYZE_PROBLEM_END_POSITION_COL`
    `static java.lang.String` | `FOF_ANALYZE_PROBLEM_END_POSITION_LINE`
    `static java.lang.String` | `FOF_ANALYZE_PROBLEM_START_POSITION_COL`
    `static java.lang.String` | `FOF_ANALYZE_PROBLEM_START_POSITION_LINE`
    `static java.lang.String` | `FOF_ANALYZE_PROBLEM_TEXT`
    `static java.lang.String` | `FOF_ANALYZE_PROBLEMS`
    `static java.lang.String` | `FOF_GENERATED_CODE`
    `static java.lang.String` | `FOF_GET_ANALOG_VARIABLES_NAME`
    `static java.lang.String` | `FOF_GET_GPIO_VARIABLES_NAME`
    `static java.lang.String` | `FOF_GET_HINT_EXPRESSION`
    `static java.lang.String` | `FOF_GET_HINT_NAME`
    `static java.lang.String` | `FOF_GET_HINT_PASS`
    `static java.lang.String` | `FOF_GET_HINT_TYPE`
    `static java.lang.String` | `FOF_GET_TOKENS_EXPRESSION`
    `static java.lang.String` | `FOF_GET_TOKENS_NAME`
    `static java.lang.String` | `FOF_GET_TOKENS_TYPE`
    `static java.lang.String` | `FOF_META_POU_IO`
    `static java.lang.String` | `FOF_META_POU_IO_NAME`
    `static java.lang.String` | `FOF_META_POU_IO_TYPE`
    `static java.lang.String` | `FOF_META_POU_TYPE`
    `static java.lang.String` | `GENERATED_CODE_EDITOR`
    `static int` | `IN_OUT_SECTION`
    `static int` | `INPUT_SECTION`
    `static int` | `OUTPUT_SECTION`
    `static int` | `POU_FUNCTION`
    `static int` | `POU_FUNCTION_BLOCK`
    `static int` | `POU_PROGRAM`
    `static int` | `STATUS_DISABLED`
    `static int` | `STATUS_ENABLED`
    `static int` | `TOKEN_COLOR_BLUE`
    `static java.lang.String` | `V_CUSTOM_HINT`
    `static java.lang.String` | `V_GENERATED_CODE`
    `static java.lang.String` | `V_RUNTIME_DATA`
    `static java.lang.String` | `V_STANDARD_HINT`
    `static java.lang.String` | `V_TEMPLATE`
    `static java.lang.String` | `VAR_CODE_EDITOR`
    `static java.lang.String` | `VF_IMPLEMENT_LANGUAGE`
    `static java.lang.String` | `VF_POU_AUTORUN`
    `static java.lang.String` | `VF_POU_DESCRIPTION`
    `static java.lang.String` | `VF_POU_DEVICE_CONTEXT`
    `static java.lang.String` | `VF_POU_DEVICE_WATCHDOG`
    `static java.lang.String` | `VF_POU_DEVICE_WATCHDOG_SENSITIVITY`
    `static java.lang.String` | `VF_POU_DEVICE_WATCHDOG_TIME`
    `static java.lang.String` | `VF_POU_EXECUTION_TYPE`
    `static java.lang.String` | `VF_POU_IMPORTS`
    `static java.lang.String` | `VF_POU_INTERVAL`
    `static java.lang.String` | `VF_POU_NAME`
    `static java.lang.String` | `VF_POU_TASK`
    `static java.lang.String` | `VF_POU_TEMPLATE`
    `static java.lang.String` | `VF_POU_TYPE`

- - ### Field Detail

    - #### STATUS_ENABLED

          static final int STATUS_ENABLED

      See Also:
        Constant Field Values

    - #### STATUS_DISABLED

          static final int STATUS_DISABLED

      See Also:
        Constant Field Values

    - #### V_RUNTIME_DATA

          static final java.lang.String V_RUNTIME_DATA

      See Also:
        Constant Field Values

    - #### V_TEMPLATE

          static final java.lang.String V_TEMPLATE

      See Also:
        Constant Field Values

    - #### V_STANDARD_HINT

          static final java.lang.String V_STANDARD_HINT

      See Also:
        Constant Field Values

    - #### V_CUSTOM_HINT

          static final java.lang.String V_CUSTOM_HINT

      See Also:
        Constant Field Values

    - #### V_GENERATED_CODE

          static final java.lang.String V_GENERATED_CODE

      See Also:
        Constant Field Values

    - #### E_ERRORS_ANALYZE

          static final java.lang.String E_ERRORS_ANALYZE

      See Also:
        Constant Field Values

    - #### F_VALUE

          static final java.lang.String F_VALUE

      See Also:
        Constant Field Values

    - #### F_PROPERTY

          static final java.lang.String F_PROPERTY

      See Also:
        Constant Field Values

    - #### F_ANALYZE

          static final java.lang.String F_ANALYZE

      See Also:
        Constant Field Values

    - #### F_FIND_HINT

          static final java.lang.String F_FIND_HINT

      See Also:
        Constant Field Values

    - #### F_GET_GPIO_VARIABLES

          static final java.lang.String F_GET_GPIO_VARIABLES

      See Also:
        Constant Field Values

    - #### F_GET_ANALOG_VARIABLES

          static final java.lang.String F_GET_ANALOG_VARIABLES

      See Also:
        Constant Field Values

    - #### F_BREAKPOINT

          static final java.lang.String F_BREAKPOINT

      See Also:
        Constant Field Values

    - #### F_DEBUG_PROGRAM

          static final java.lang.String F_DEBUG_PROGRAM

      See Also:
        Constant Field Values

    - #### F_EXECUTE

          static final java.lang.String F_EXECUTE

      See Also:
        Constant Field Values

    - #### F_EXECUTE_FUNCTION

          static final java.lang.String F_EXECUTE_FUNCTION

      See Also:
        Constant Field Values

    - #### F_META_POU

          static final java.lang.String F_META_POU

      See Also:
        Constant Field Values

    - #### F_GET_TOKENS

          static final java.lang.String F_GET_TOKENS

      See Also:
        Constant Field Values

    - #### E_CHANGE_VARIABLES

          static final java.lang.String E_CHANGE_VARIABLES

      See Also:
        Constant Field Values

    - #### E_CHANGE_PERIOD

          static final java.lang.String E_CHANGE_PERIOD

      See Also:
        Constant Field Values

    - #### E_CHANGE_POSITION

          static final java.lang.String E_CHANGE_POSITION

      See Also:
        Constant Field Values

    - #### E_DEBUG_FINISH

          static final java.lang.String E_DEBUG_FINISH

      See Also:
        Constant Field Values

    - #### A_DEBUG

          static final java.lang.String A_DEBUG

      See Also:
        Constant Field Values

    - #### A_EDIT_PROGRAM

          static final java.lang.String A_EDIT_PROGRAM

      See Also:
        Constant Field Values

    - #### VF_POU_NAME

          static final java.lang.String VF_POU_NAME

      See Also:
        Constant Field Values

    - #### VF_POU_DESCRIPTION

          static final java.lang.String VF_POU_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_POU_TEMPLATE

          static final java.lang.String VF_POU_TEMPLATE

      See Also:
        Constant Field Values

    - #### VF_IMPLEMENT_LANGUAGE

          static final java.lang.String VF_IMPLEMENT_LANGUAGE

      See Also:
        Constant Field Values

    - #### VF_POU_TYPE

          static final java.lang.String VF_POU_TYPE

      See Also:
        Constant Field Values

    - #### VF_POU_IMPORTS

          static final java.lang.String VF_POU_IMPORTS

      See Also:
        Constant Field Values

    - #### VF_POU_DEVICE_CONTEXT

          static final java.lang.String VF_POU_DEVICE_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_POU_DEVICE_WATCHDOG

          static final java.lang.String VF_POU_DEVICE_WATCHDOG

      See Also:
        Constant Field Values

    - #### VF_POU_DEVICE_WATCHDOG_TIME

          static final java.lang.String VF_POU_DEVICE_WATCHDOG_TIME

      See Also:
        Constant Field Values

    - #### VF_POU_DEVICE_WATCHDOG_SENSITIVITY

          static final java.lang.String VF_POU_DEVICE_WATCHDOG_SENSITIVITY

      See Also:
        Constant Field Values

    - #### VF_POU_TASK

          static final java.lang.String VF_POU_TASK

      See Also:
        Constant Field Values

    - #### VF_POU_INTERVAL

          static final java.lang.String VF_POU_INTERVAL

      See Also:
        Constant Field Values

    - #### VF_POU_EXECUTION_TYPE

          static final java.lang.String VF_POU_EXECUTION_TYPE

      See Also:
        Constant Field Values

    - #### VF_POU_AUTORUN

          static final java.lang.String VF_POU_AUTORUN

      See Also:
        Constant Field Values

    - #### FIF_ANALYZE_TEMPLATE

          static final java.lang.String FIF_ANALYZE_TEMPLATE

      See Also:
        Constant Field Values

    - #### FIF_ANALYZE_IMPORTS

          static final java.lang.String FIF_ANALYZE_IMPORTS

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_PROBLEM_TEXT

          static final java.lang.String FOF_ANALYZE_PROBLEM_TEXT

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_OBJECT

          static final java.lang.String FOF_ANALYZE_OBJECT

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_POSITION

          static final java.lang.String FOF_ANALYZE_POSITION

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_PROBLEM_START_POSITION_COL

          static final java.lang.String FOF_ANALYZE_PROBLEM_START_POSITION_COL

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_PROBLEM_START_POSITION_LINE

          static final java.lang.String FOF_ANALYZE_PROBLEM_START_POSITION_LINE

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_PROBLEM_END_POSITION_COL

          static final java.lang.String FOF_ANALYZE_PROBLEM_END_POSITION_COL

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_PROBLEM_END_POSITION_LINE

          static final java.lang.String FOF_ANALYZE_PROBLEM_END_POSITION_LINE

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_NAME

          static final java.lang.String FOF_ANALYZE_NAME

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_PROBLEMS

          static final java.lang.String FOF_ANALYZE_PROBLEMS

      See Also:
        Constant Field Values

    - #### FIF_GET_HINT_PARAM_TYPE

          static final java.lang.String FIF_GET_HINT_PARAM_TYPE

      See Also:
        Constant Field Values

    - #### FIF_GET_HINT_PARAM_NAME

          static final java.lang.String FIF_GET_HINT_PARAM_NAME

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_NAME

          static final java.lang.String FOF_GET_HINT_NAME

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_PASS

          static final java.lang.String FOF_GET_HINT_PASS

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_EXPRESSION

          static final java.lang.String FOF_GET_HINT_EXPRESSION

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_TYPE

          static final java.lang.String FOF_GET_HINT_TYPE

      See Also:
        Constant Field Values

    - #### FOF_GENERATED_CODE

          static final java.lang.String FOF_GENERATED_CODE

      See Also:
        Constant Field Values

    - #### FOF_GET_GPIO_VARIABLES_NAME

          static final java.lang.String FOF_GET_GPIO_VARIABLES_NAME

      See Also:
        Constant Field Values

    - #### FOF_GET_ANALOG_VARIABLES_NAME

          static final java.lang.String FOF_GET_ANALOG_VARIABLES_NAME

      See Also:
        Constant Field Values

    - #### FIF_BREAKPOINT_POSITION

          static final java.lang.String FIF_BREAKPOINT_POSITION

      See Also:
        Constant Field Values

    - #### FIF_BREAKPOINT_POSITION_LINE

          static final java.lang.String FIF_BREAKPOINT_POSITION_LINE

      See Also:
        Constant Field Values

    - #### FIF_DEBUG_PROGRAM_PARAMETERS

          static final java.lang.String FIF_DEBUG_PROGRAM_PARAMETERS

      See Also:
        Constant Field Values

    - #### FIF_META_POU_NAME

          static final java.lang.String FIF_META_POU_NAME

      See Also:
        Constant Field Values

    - #### FOF_META_POU_TYPE

          static final java.lang.String FOF_META_POU_TYPE

      See Also:
        Constant Field Values

    - #### FOF_META_POU_IO

          static final java.lang.String FOF_META_POU_IO

      See Also:
        Constant Field Values

    - #### FOF_META_POU_IO_NAME

          static final java.lang.String FOF_META_POU_IO_NAME

      See Also:
        Constant Field Values

    - #### FOF_META_POU_IO_TYPE

          static final java.lang.String FOF_META_POU_IO_TYPE

      See Also:
        Constant Field Values

    - #### FOF_GET_TOKENS_NAME

          static final java.lang.String FOF_GET_TOKENS_NAME

      See Also:
        Constant Field Values

    - #### FOF_GET_TOKENS_TYPE

          static final java.lang.String FOF_GET_TOKENS_TYPE

      See Also:
        Constant Field Values

    - #### FOF_GET_TOKENS_EXPRESSION

          static final java.lang.String FOF_GET_TOKENS_EXPRESSION

      See Also:
        Constant Field Values

    - #### EF_CHANGE_POSITION_DEBUGGER_POSITION

          static final java.lang.String EF_CHANGE_POSITION_DEBUGGER_POSITION

      See Also:
        Constant Field Values

    - #### EF_CHANGE_POSITION_DEBUGGER_POSITION_LINE

          static final java.lang.String EF_CHANGE_POSITION_DEBUGGER_POSITION_LINE

      See Also:
        Constant Field Values

    - #### EF_CHANGE_PERIOD_TIME

          static final java.lang.String EF_CHANGE_PERIOD_TIME

      See Also:
        Constant Field Values

    - #### EF_CHANGE_VARIABLES_SCOPE

          static final java.lang.String EF_CHANGE_VARIABLES_SCOPE

      See Also:
        Constant Field Values

    - #### EF_CHANGE_VARIABLES_NAME

          static final java.lang.String EF_CHANGE_VARIABLES_NAME

      See Also:
        Constant Field Values

    - #### EF_CHANGE_VARIABLES_TYPE

          static final java.lang.String EF_CHANGE_VARIABLES_TYPE

      See Also:
        Constant Field Values

    - #### EF_CHANGE_VARIABLES_VALUE

          static final java.lang.String EF_CHANGE_VARIABLES_VALUE

      See Also:
        Constant Field Values

    - #### DEBUGGER_RESUME

          static final int DEBUGGER_RESUME

      See Also:
        Constant Field Values

    - #### DEBUGGER_TERMINATE

          static final int DEBUGGER_TERMINATE

      See Also:
        Constant Field Values

    - #### DEBUGGER_STEP_OVER

          static final int DEBUGGER_STEP_OVER

      See Also:
        Constant Field Values

    - #### DEBUGGER_GET_VARS

          static final int DEBUGGER_GET_VARS

      See Also:
        Constant Field Values

    - #### DEBUGGER_DEBUG_FINISH

          static final int DEBUGGER_DEBUG_FINISH

      See Also:
        Constant Field Values

    - #### INPUT_SECTION

          static final int INPUT_SECTION

      See Also:
        Constant Field Values

    - #### IN_OUT_SECTION

          static final int IN_OUT_SECTION

      See Also:
        Constant Field Values

    - #### OUTPUT_SECTION

          static final int OUTPUT_SECTION

      See Also:
        Constant Field Values

    - #### POU_FUNCTION

          static final int POU_FUNCTION

      See Also:
        Constant Field Values

    - #### POU_FUNCTION_BLOCK

          static final int POU_FUNCTION_BLOCK

      See Also:
        Constant Field Values

    - #### POU_PROGRAM

          static final int POU_PROGRAM

      See Also:
        Constant Field Values

    - #### TOKEN_COLOR_BLUE

          static final int TOKEN_COLOR_BLUE

      See Also:
        Constant Field Values

    - #### ANALYZE_ENV_PROBLEMS

          static final java.lang.String ANALYZE_ENV_PROBLEMS

      See Also:
        Constant Field Values

    - #### ANALYZE_BODY_PROBLEMS

          static final java.lang.String ANALYZE_BODY_PROBLEMS

      See Also:
        Constant Field Values

    - #### BODY_CODE_EDITOR

          static final java.lang.String BODY_CODE_EDITOR

      See Also:
        Constant Field Values

    - #### ACTION_CODE_EDITOR

          static final java.lang.String ACTION_CODE_EDITOR

      See Also:
        Constant Field Values

    - #### VAR_CODE_EDITOR

          static final java.lang.String VAR_CODE_EDITOR

      See Also:
        Constant Field Values

    - #### GENERATED_CODE_EDITOR

          static final java.lang.String GENERATED_CODE_EDITOR

      See Also:
        Constant Field Values

    - #### ENV_PROBLEMS

          static final int ENV_PROBLEMS

      See Also:
        Constant Field Values

    - #### BODY_PROBLEMS

          static final int BODY_PROBLEMS

      See Also:
        Constant Field Values